package com.zteits.oa.configuration.druid;

import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * 
 * 
 * Copyright: Copyright (c) 2017 zteits
 * 
 * @ClassName: DruidProperties.java
 * @Description:
 * @version: v1.0.0
 * @author: liuzl
 * @date: 2017年4月19日 下午7:44:44 Modification History: Date Author Version
 *        Description ---------------------------------------------------------*
 *        2017年4月19日 liuzl v1.0.0 创建
 */
@ConfigurationProperties(prefix = "druid")
public class DruidProperties {

	private String url;
	private String username;
	private String password;
	private String driverClass;
	
	private String filters;
	private String validationQuery;
	private int maxActive;
	private int minIdle;
	private int initialSize;
	private int minEvictableIdleTimeMillis;
	private int timeBetweenEvictionRunsMillis;
	private int maxWait;
	private boolean testOnBorrow;
	private boolean testOnReturn;
	private boolean testOnWhileIdle;	
	
	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getDriverClass() {
		return driverClass;
	}

	public void setDriverClass(String driverClass) {
		this.driverClass = driverClass;
	}

	public int getMaxActive() {
		return maxActive;
	}

	public void setMaxActive(int maxActive) {
		this.maxActive = maxActive;
	}

	public int getMinIdle() {
		return minIdle;
	}

	public void setMinIdle(int minIdle) {
		this.minIdle = minIdle;
	}

	public int getInitialSize() {
		return initialSize;
	}

	public void setInitialSize(int initialSize) {
		this.initialSize = initialSize;
	}

	public boolean isTestOnBorrow() {
		return testOnBorrow;
	}

	public void setTestOnBorrow(boolean testOnBorrow) {
		this.testOnBorrow = testOnBorrow;
	}

	public boolean isTestOnReturn() {
		return testOnReturn;
	}

	public void setTestOnReturn(boolean testOnReturn) {
		this.testOnReturn = testOnReturn;
	}

	public boolean isTestOnWhileIdle() {
		return testOnWhileIdle;
	}

	public void setTestOnWhileIdle(boolean testOnWhileIdle) {
		this.testOnWhileIdle = testOnWhileIdle;
	}

	public String getValidationQuery() {
		return validationQuery;
	}

	public void setValidationQuery(String validationQuery) {
		this.validationQuery = validationQuery;
	}

	public int getMinEvictableIdleTimeMillis() {
		return minEvictableIdleTimeMillis;
	}

	public void setMinEvictableIdleTimeMillis(int minEvictableIdleTimeMillis) {
		this.minEvictableIdleTimeMillis = minEvictableIdleTimeMillis;
	}

	public int getTimeBetweenEvictionRunsMillis() {
		return timeBetweenEvictionRunsMillis;
	}

	public void setTimeBetweenEvictionRunsMillis(int timeBetweenEvictionRunsMillis) {
		this.timeBetweenEvictionRunsMillis = timeBetweenEvictionRunsMillis;
	}

	public int getMaxWait() {
		return maxWait;
	}

	public void setMaxWait(int maxWait) {
		this.maxWait = maxWait;
	}

	public String getFilters() {
		return filters;
	}

	public void setFilters(String filters) {
		this.filters = filters;
	}
	
}
