package com.zteits.oa.configuration.swagger;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurationSupport;

import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.ApiInfo;
import springfox.documentation.service.Contact;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;
@Configuration    // 配置注解，自动在本类上下文加载一些环境变量信息
@EnableSwagger2   // 使swagger2生效
public class SwaggerConfigAuto extends WebMvcConfigurationSupport{

	@Bean
	 public Docket buildDocket(){
	 return new Docket(DocumentationType.SWAGGER_2)
	  .apiInfo(buildApiInf())
	  .select() .apis(RequestHandlerSelectors.basePackage("com.zteits.oa.report.web"))//controller路径
	  .paths(PathSelectors.any())
	  .build();
	 }
	 
	 private ApiInfo buildApiInf(){
	 return new ApiInfoBuilder()
	  .title("欢迎是用swagger2")
	  .termsOfServiceUrl("http://blog.csdn.net/u014231523网址链接")
	  .description("springmvc swagger2")
	  .contact(new Contact("diaoxingguo", "http://blog.csdn.net/u014231523", "diaoxingguo@163.com"))
	  .build();
	 
	 }
}
